package request

type QuestionListReq struct {
	PageIndex         int `json:"page_index" form:"page_index"`
	PageSize          int `json:"page_size" form:"page_size"`
	OnlyMine          int `json:"only_mine" form:"only_mine"`
	ChartPermissionId int `json:"chart_permission_id" form:"chart_permission_id"`
	ReplyStatus       int `json:"reply_status" form:"reply_status"`
	GroupId           int `json:"group_id" form:"group_id"`
}

type QuestionDetailReq struct {
	QuestionId int `json:"question_id" form:"question_id"`
}

type QuestionAskReq struct {
	QuestionContent string `json:"question_content"`
}

type QuestionReplyReq struct {
	QuestionId int                  `json:"question_id" form:"question_id"`
	AudioList  []*ReplyReqAudioList `json:"audio_list" form:"audio_list"`
}

type ReplyReqAudioList struct {
	AudioUrl         string `json:"audio_url" form:"audio_url"`
	AudioPlaySeconds string `json:"audio_play_seconds" form:"audio_url"`
	AudioSize        string `json:"audio_size" form:"audio_size"`
	Sort             int    `json:"sort" form:"sort"`
}

type QuestionReadReq struct {
	QuestionIds string `json:"question_ids" form:"question_ids"`
}

type ReplyListTotalReq struct {
	ReplierUserId int `json:"replier_user_id" form:"replier_user_id"`
}

type CommunityAudioListenLogReq struct {
	CommunityQuestionAudioID int `json:"community_question_audio_id"` //音频ID
	SourceAgent              int `json:"source_agent"`                //操作来源，1：小程序，2：小程序 pc 3:弘则研究公众号，4:web pc
}

type VideoListReq struct {
	PageIndex         int    `json:"page_index" form:"page_index"`
	PageSize          int    `json:"page_size" form:"page_size"`
	Keywords          string `json:"keywords" form:"keywords"`
	VideoId           int    `json:"video_id" form:"video_id"`
	ChartPermissionId int    `json:"chart_permission_id" form:"chart_permission_id"`
}

type VideoPlayLogReq struct {
	VideoId     int `json:"video_id" description:"视频ID"`
	SourceAgent int `json:"source_agent" description:"来源：1-小程序 2-小程序PC 3-公众号 4-Web官网"`
}