package response

import "time"

type RespCommentList struct {
	List       []*RespCommentItem   `json:"list"`
	Paging     *PagingItem  		`json:"paging"`
}
type RespMyCommentList struct {
	List       []*RespCommentItem   `json:"list"`
	IsShowName int8 `description:"是否匿名 0-匿名，1-不匿名" json:"is_show_name"`
}
type RespCommentItem struct {
	CommentId  uint64    `description:"留言ID" json:"comment_id"`
	UserId     uint64    `description:"用户id" json:"user_id"`
	Content    string    `description:"留言内容" json:"content"`
	IsTop      int8      `description:"是否置顶（0-未置顶，1-置顶）json:"is_top""`
	IsHot      int8      `description:"是否设置精选（0-未设置，1-已设置）json:"is_hot""`
	HotTopTime time.Time `description:"设置精选或者设置置顶的时间" json:"hot_top_time"`
	IsShowName int8      `description:"是否匿名 0-匿名，1-不匿名" json:"is_show_name"`
	UserName   string    `description:"用户昵称" json:"user_name"`
	UserImgUrl string    `description:"用户头像" json:"user_img_url"`
	CreateTime time.Time `description:"留言创建时间" json:"create_time"`
	ReplyList  []*ReplyItem
}

type ReplyItem struct {
	CommentId         uint64 `description:"留言ID" json:"comment_id"`
	AdminId           uint64 `description:"发布留言回复的管理员ID" json:"admin_id"`
	AdminName         string `description:"系统昵称" json:"admin_name"`
	AdminImgUrl          string `description:"系统头像" json:"admin_img_url"`
	Content           string `description:"回复内容" json:"content"`
	ReplyCommentId    uint64 `description:"回复的留言ID" json:"reply_comment_id"`
	CreateTime        time.Time `description:"留言创建时间" json:"create_time"`
}

type RespCommentAdd struct {
	CommentId    uint64 `description:"留言ID" json:"comment_id"`
}
