package response

type CommunityQuestionItem struct {
	CommunityQuestionID     int    `json:"community_question_id"`
	UserId                  int    `json:"user_id"`
	QuestionContent         string `json:"question_content"`
	ReplierRealName         string `json:"replier_real_name"`
	ReplierRank             string `json:"replier_rank"`
	ReplierAvatar           string `json:"replier_avatar"`
	ChartPermissionID       int    `json:"chart_permission_id"`
	ChartPermissionName     string `json:"chart_permission_name"`
	ResearchGroupSecondId   int    `json:"research_group_second_id"`
	ResearchGroupSecondName string `json:"research_group_second_name"`
	IsRead                  int    `json:"is_read"`
	ReplierIsRead           int    `json:"replier_is_read"`
	CreateTime              string `json:"create_time"`
	ReplyTime               string `json:"reply_time"`
	IsTop                   int    `json:"is_top"`
	ReplyStatus             int    `json:"reply_status" description:"回复状态 1-待分配 2-待回答 3-已回答"`
	//AuthOk                  bool                          `json:"auth_ok" description:"是否有权限"`
	//PermissionInfo          PermissionCheckInfo           `json:"permission_info"`
	AudioList []*CommunityQuestionAudioItem `json:"audio_list"`
}

type CommunityQuestionAudioItem struct {
	CommunityQuestionAudioID int    `json:"community_question_audio_id"`
	CommunityQuestionID      int    `json:"community_question_id"`
	AudioURL                 string `json:"audio_url"`
	AudioPlaySeconds         string `json:"audio_play_seconds"`
	AudioSize                string `json:"audio_size"`
	Sort                     int    `json:"sort"`
}

type CommunityQuestionListTotal struct {
	Wait    int `json:"wait"`
	Replied int `json:"replied"`
	Total   int `json:"total"`
}

type CommunityQuestionAudioUpload struct {
	AudioURL         string `json:"audio_url"`
	AudioPlaySeconds string `json:"audio_play_seconds"`
	AudioSize        string `json:"audio_size"`
}

// ResearchGroup 研究方向分组表
type ResearchGroupItem struct {
	ResearchGroupId   int    `json:"research_group_id" description:"研究方向分组ID"`
	ResearchGroupName string `json:"research_group_name" description:"研究方向分组名称"`
	ParentId          int    `json:"parent_id" description:"父类ID"`
	ChartPermissionId int    `json:"chart_permission_id" description:"品种权限ID"`
	Sort              int    `json:"sort" description:"排序"`
	//Members           []*ResearchGroupMember `json:"members"`
	Children []*ResearchGroupItem `json:"children"`
}

// ResearchGroupMember 研究方向组员信息
type ResearchGroupMember struct {
	AdminId   int    `json:"admin_id"`
	AdminName string `json:"admin_name"`
}

// CommunityVideoItem 视频社区
type CommunityVideoItem struct {
	CommunityVideoID    int    `json:"community_video_id"`
	Title               string `json:"title"`
	ChartPermissionID   int    `json:"chart_permission_id"`
	ChartPermissionName string `json:"chart_permission_name"`
	CoverImgUrl         string `json:"cover_img_url"`
	VideoUrl            string `json:"video_url"`
	VideoSeconds        string `json:"video_seconds"`
	PublishState        int    `json:"publish_state"`
	PublishTime         string `json:"publish_time"`
	CreateTime          string `json:"create_time"`
	ModifyTime          string `json:"modify_time"`
}