package response

import "time"

type RespMessageItem struct {
	MsgId              uint64    `description:"消息ID" json:"msg_id"`
	UserId             uint64    `description:"用户ID" json:"user_id"`
	Type               int8      `description:"消息类型：1-留言回复通知，2-精选留言通知" json:"type"`
	CreateTime         time.Time `description:"创建时间" json:"create_time"`
	ContentFirst       string    `description:"消息第一行留言内容" json:"content_first"`
	ContentSecond      string    `description:"消息第二行内容" json:"content_second"`
	IsRead             int8      `description:"是否已读 0-未读，1-已读" json:"is_read"`
	ReportId           int       `description:"报告ID"  json:"report_id" `
	ReportChapterId    int       `description:"报告章节ID" json:"report_chapter_id" `
	OldReportId        int       `description:"老报告ID" json:"old_report_id"`
	OldReportChapterId int       `description:"老报告章节ID" json:"old_report_chapter_id"`
	Img                string    `description:"左边头像" json:"img"`
}

type RespMessageList struct {
	List   []*RespMessageItem `json:"list"`
	Paging *PagingItem        `json:"paging"`
}