package pc

type WxAccessToken struct {
	AccessToken  string `json:"access_token"`
	ExpiresIn    int    `json:"expires_in"`
	RefreshToken string `json:"refresh_token"`
	Openid       string `json:"openid"`
	Unionid      string `json:"unionid"`
	Scope        string `json:"scope"`
	Errcode      int    `json:"errcode"`
	Errmsg       string `json:"errmsg"`
}

type WxUserInfo struct {
	Openid     string `json:"openid"`
	Nickname   string `json:"nickname"`
	Sex        int    `json:"sex"`
	Language   string `json:"language"`
	City       string `json:"city"`
	Province   string `json:"province"`
	Country    string `json:"country"`
	Headimgurl string `json:"headimgurl"`
	Unionid    string `json:"unionid"`
	Errcode    int    `json:"errcode"`
	Errmsg     string `json:"errmsg"`
}

type LoginResp struct {
	Token  string `json:"authorization"`
	IsBind bool   `json:"is_bind"`
}

type PcLoginReq struct {
	LoginType   int    `description:"登录方式:1:手机，2:邮箱"`
	Mobile      string `description:"手机号"`
	Email       string `description:"邮箱"`
	SmsCode     string `description:"短信/邮箱验证码"`
	IsFreeLogin bool   `description:"是否免登陆,true：免登陆,false:非免登陆"`
}