package teleconference_video

import (
	"time"
)

// TeleconferenceVideo [...]
type TeleconferenceVideo struct {
	TeleconferenceVideoID int       `gorm:"primaryKey;column:teleconference_video_id;type:int(11);not null" json:"-"`
	TeleconferenceID      int       `gorm:"index:idx_teleconference_id;column:teleconference_id;type:int(11);default:0" json:"teleconferenceId"`
	VideoURL              string    `gorm:"unique;column:video_url;type:varchar(500);default:''" json:"videoUrl"`
	VideoName             string    `gorm:"column:video_name;type:varchar(255);default:''" json:"videoName"`
	VideoPlaySeconds      string    `gorm:"column:video_play_seconds;type:varchar(255);default:''" json:"videoPlaySeconds"`
	CreateTime            time.Time `gorm:"column:create_time;type:datetime" json:"createTime"`
}

// TableName get sql table name.获取数据库表名
func (m *TeleconferenceVideo) TableName() string {
	return "teleconference_video"
}

// TeleconferenceVideoColumns get sql column name.获取数据库列名
var TeleconferenceVideoColumns = struct {
	TeleconferenceVideoID string
	TeleconferenceID      string
	VideoURL              string
	VideoName             string
	VideoPlaySeconds      string
	CreateTime            string
}{
	TeleconferenceVideoID: "teleconference_video_id",
	TeleconferenceID:      "teleconference_id",
	VideoURL:              "video_url",
	VideoName:             "video_name",
	VideoPlaySeconds:      "video_play_seconds",
	CreateTime:            "create_time",
}