package yb_message

import "time"

// 研报 消息表
type YbMessage struct {
	MsgId              uint64    `gorm:"primaryKey;column:msg_id"`     //消息序号
	UserId             uint64    `gorm:"column:user_id"`               //用户id
	Type               int8      `gorm:"column:type"`                  //消息类型：1-留言回复通知，2-精选留言通知
	Enabled            int8      `gorm:"column:enabled"`               //是否有效, 0-无效 1-有效
	CreateTime         time.Time `gorm:"column:create_time"`           //创建时间
	ModifyTime         time.Time `gorm:"column:modify_time"`           //修改时间
	CommentId          uint64    `gorm:"column:comment_id"`            //留言ID
	IsRead             int8      `gorm:"column:is_read"`               //是否已读 0-未读，1-已读
	ContentFirst       string    `gorm:"column:content_first"`         //消息第一行留言内容
	ContentSecond      string    `gorm:"column:content_second"`        //消息第二行内容
	ReportId           int       `gorm:"column:report_id"`             //报告ID
	ReportChapterId    int       `gorm:"column:report_chapter_id"`     //报告章节ID
	OldReportId        int       `gorm:"column:old_report_id"`         //老报告ID
	OldReportChapterId int       `gorm:"column:old_report_chapter_id"` //老报告章节ID
}

func (ym *YbMessage) TableName() string {
	return "yb_message"
}