package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller/community"
	"hongze/hongze_yb/middleware"
)

func InitCommunity(r *gin.Engine)  {
	rGroup := r.Group("api/community").Use(middleware.Token(), middleware.CheckBaseAuth())
	// 问答社区
	rGroup.GET("/question/list", community.QuestionList)
	rGroup.GET("/question/detail", community.QuestionDetail)
	rGroup.POST("/question/ask", community.QuestionAsk)
	rGroup.POST("/question/reply", community.QuestionReply)
	rGroup.POST("/question/reply/read", community.QuestionReplyRead)
	rGroup.GET("/question/list/total", community.QuestionListTotal)
	rGroup.POST("/question/reply/upload_audio", community.QuestionUploadAudio)
	rGroup.GET("/question/unread", community.QuestionUnread)
	rGroup.GET("/question/research_group", community.ResearchGroupList)
	rGroup.POST("/question/audio/log", community.AddAudioLog)
	// 视频社区
	noAuthGroup := r.Group("api/community").Use(middleware.Token())
	noAuthGroup.GET("/video/list", community.VideoList)
	noAuthGroup.POST("/video/play_log", community.VideoPlayLog)
}