package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller"
	"hongze/hongze_yb/middleware"
)

func InitPublic(r *gin.Engine) {
	rGroup := r.Group("public").Use(middleware.Token())

	{
		rGroup.GET("/get_apply_variety_list", controller.GetApplyVarietyList)
		rGroup.POST("/upload", controller.Upload)
	}

	initPublic(r)
}

func initPublic(r *gin.Engine) {
	rGroup := r.Group("api/public").Use(middleware.Token())

	{
		rGroup.GET("/get_apply_variety_list", controller.GetApplyVarietyList)
		rGroup.POST("/upload", controller.Upload)
		rGroup.POST("/get_share_poster", controller.GetSharePoster)
		rGroup.GET("/get_suncode_scene", controller.GetSuncodeScene)
	}
}
