package utils

//常量定义
const (
	FormatTime            = "15:04:05"                //时间格式
	FormatDate            = "2006-01-02"              //日期格式
	FormatDateCN          = "2006年01月02日"             //日期格式（中文）
	FormatDateUnSpace     = "20060102"                //日期格式
	FormatDateTime        = "2006-01-02 15:04:05"     //完整时间格式
	HlbFormatDateTime     = "2006-01-02_15:04:05.999" //完整时间格式
	FormatDateTimeUnSpace = "20060102150405"          //完整时间格式
	PageSize15            = 15                        //列表页每页数据量
	PageSize5             = 5
	PageSize10            = 10
	PageSize20            = 20
	PageSize30            = 30
)

//手机号，电子邮箱正则
const (
	RegularMobile = "^((13[0-9])|(14[5|7])|(15([0-3]|[5-9]))|(18[0-9])|(17[0-9])|(16[0-9])|(19[0-9]))\\d{8}$" //手机号码
	RegularEmail  = `\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*`                                             //匹配电子邮箱
)

const (
	APPNAME          = "弘则研报"
	EmailSendToUsers = "317699326@qq.com;984198890@qq.com;hsun@hzinsights.com;xyxie@hzinsights.com"
)

//聚合短信
var (
	JhGnTplId = "65692" //聚合国内模板编码
	JhGjTplId = "10054" //聚合国内模板编码

	JhGnAppKey = "4c8504c49dd335e99cfd7b6a3a9e2415" //聚合国内AppKey
	JhGjAppKey = "3326ad2c1047a4cd92ace153e6044ca3"
)

const (
	key = "zDeESsxsXuionhqSLZYHWcDJ" //全局加密KEY
)

//数据来源渠道
const (
	DATA_SOURCE_THS                  = iota + 1 //同花顺
	DATA_SOURCE_WIND                            //wind
	DATA_SOURCE_PB                              //彭博
	DATA_SOURCE_CALCULATE                       //指标运算
	DATA_SOURCE_CALCULATE_LJZZY                 //累计值转月
	DATA_SOURCE_CALCULATE_TBZ                   //同比值
	DATA_SOURCE_CALCULATE_TCZ                   //同差值
	DATA_SOURCE_CALCULATE_NSZYDPJJS             //N数值移动平均计算
	DATA_SOURCE_MANUAL                          //手工指标
	DATA_SOURCE_LZ                              //隆众
	DATA_SOURCE_YS                              //有色
	DATA_SOURCE_CALCULATE_HBZ                   //环比值->12
	DATA_SOURCE_CALCULATE_HCZ                   //环差值->13
	DATA_SOURCE_CALCULATE_BP                    //变频->14
	DATA_SOURCE_GL                              //钢联->15
	DATA_SOURCE_ZZ                              //郑商所->16
	DATA_SOURCE_DL                              //大商所->17
	DATA_SOURCE_SH                              //上期所->18
	DATA_SOURCE_CFFEX                           //中金所->19
	DATA_SOURCE_SHFE                            //上期能源->20
	DATA_SOURCE_GIE                             //欧洲天然气->21
	DATA_SOURCE_CALCULATE_TIME_SHIFT            //时间移位->22
	DATA_SOURCE_CALCULATE_ZJPJ                  //直接拼接->23
	DATA_SOURCE_CALCULATE_LJZTBPJ               //累计值同比拼接->24
	DATA_SOURCE_LT                              //路透->25
	DATA_SOURCE_COAL                            //中国煤炭网->26
	DATA_SOURCE_PYTHON                          //python代码->27
	DATA_SOURCE_PB_FINANCE                      //彭博财务数据->28
)

const (
	HZ_CHART_LIB_DETAIL = "HZ_CHART_LIB_DETAIL_"
	HONGZEYB_           = "hongze_yb:"
)

//var (
//	Hz_Server_Data_Url string //同花顺，万得接口服务地址（阿里云windows服务器地址）
//)

const (
	DATA_PREFIX  = "hz_data"
	CHART_PREFIX = "hz_chart"
)

//数据刷新频率
const (
	DATA_REFRESH             = 7 //7个单位，日/周/月/季度/年
	DATA_START_REFRESH_LIMIT = 7 //7个单位，日/周/月/季度/年
	DATA_END_DATE_LIMIT      = 4 //数据结束日期为，当前日期，加上4年时间
)

const (
	Hz_Data_Url    = "http://datawind.hzinsights.com:8040/" //同花顺，万得接口服务地址
	Hz_Data_PB_Url = "http://datapb.hzinsights.com:8040/"   //彭博接口地址
	Hz_Data_LT_Url = "http://dataek.hzinsights.com:8040/"   //路透社接口地址
	EDB_DATA_LIMIT = 10
)

var PermissionFiccClassifyArr = [...]string{"宏观经济", "化工产业", "建材产业", "有色产业"}

//缓存key
const (
	CACHE_KEY_USER_VIEW = "user_view_record" //用户阅读数据
)

// es相关
const (
	ES_INDEX_RDDP_REPORT = "research_report_v1" //报告
)

//EDB_LIB
var (
	APP_EDB_LIB_NAME_EN = "hongze_edb_lib"
	EDB_LIB_Md5_KEY     = "GuRaB6dY1bXOJcwG"
)

const ALIYUN_YBIMG_HOST = "https://hzstatic.hzinsights.com/static/yb_wx/"
const HZ_DEFAULT_AVATAR = "https://hzstatic.hzinsights.com/static/yb_wx/hz_default_avatar.png"

const HZPHONE = "057187186319" //弘则电话

//模板消息推送类型
const (
	TEMPLATE_MSG_REPORT               = iota + 1 //日度点评报告推送
	TEMPLATE_MSG_INDEX                           //指标更新
	TEMPLATE_MSG_APPLY                           //审批通知
	TEMPLATE_MSG_RECEIVE                         //销售领取客户通知
	TEMPLATE_MSG_CYGX_ACTIVITY_CACLE             //查研观向活动取消通知
	TEMPLATE_MSG_CYGX_ACTIVITY_UPDATE            //查研观向活动更改时间通知
	TEMPLATE_MSG_CYGX_ARTICLE                    //关注的作者发布报告通知
	TEMPLATE_MSG_CYGX_DAY_REPORT                 //发送日报（周报、双周报、月报）
	TEMPLATE_MSG_ACTIVITY_APPOINTMENT            //活动预约/报名时间通知
	_
	TEMPLATE_MSG_YB_COMMUNITY_QUESTION // 研报小程序-问答社区通知
)

// 微信用户user_record注册平台
const (
	USER_RECORD_PLATFORM_RDDP      = iota + 1 // 日度点评公众号
	USER_RECORD_PLATFORM_BACKSTAGE            // 管理后台
	USER_RECORD_PLATFORM_PC                   // PC端网站
	USER_RECORD_PLATFORM_CYGX                 // 查研观向小程序
	_
	USER_RECORD_PLATFORM_YB // 研报小程序
)

const (
	DEFAULT_HONGZE_USER_LOGO = "https://hzstatic.hzinsights.com/static/icon/hzyb/default_avatar.png"      //个人中心默认头像、匿名用户留言默认头像
	DEFAULT_HONGZE_SYS_LOGO  = "https://hzstatic.hzinsights.com/static/yb_wx/hongze_sys_default_head.png" //弘则官方默认头像
)
